
#include "push_swap.h"

t_list		*sa(t_stack **stack, t_list **solution)
{
	t_stack		*a;
	int			tmp;

	a = *stack;
	if (!a->next)
		return (NULL);
	tmp = a->n;
	a->n = a->next->n;
	a->next->n = tmp;
	fill_solution(*stack, NULL, solution, ft_strdup("sa"));
	return (NULL);
}

